﻿package {

	import flash.display.Sprite;
	import flash.display.BitmapData;
	import flash.display.Bitmap;

	import flash.events.Event;

	public class Sphere extends Sprite {

		private var _screen:BitmapData;

		public function Sphere():void {
			/*on cree le background ou les vecteurs vont être arrêtés*/
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,false,0x000000);
			/*on en fait un bitmap*/
			var bitmap:Bitmap = new Bitmap(_screen);
			/*on affiche le bitmap*/
			addChild(bitmap);

			/*on affecte un evenement ENTERFRAME*/
			addEventListener(Event.ENTER_FRAME,onEnterFrame);

		}
		private function onEnterFrame(e:Event):void {
			_screen.fillRect(_screen.rect,0x00000000);

			var line:Sprite = new Sprite();
			line.graphics.lineStyle(1,0xffffff,.3);


			var val:Number;

			/*Bouquet de droite*/
			var w:uint = 50;
			for (var i:uint=0; i<1080; i+=5) {
				val = Math.sin(Math.PI*i/180)*(mouseX-mouseY)/mouseY;
				line.graphics.moveTo((val*-900)+w,0);
				line.graphics.curveTo(175,125,600,600);
				
				if (i%360 == 0 && i!=0) {
					w+=100;
				}
			}
			
			/*Bouquet de gauche*/
			var u:uint = 50;
			for (var i:uint=0; i<1080; i+=5) {
				val = Math.sin(Math.PI*i/180)*(mouseX-mouseY)/mouseY;
				line.graphics.moveTo((val*-900)+u,0);
				line.graphics.curveTo(175,125,0,600);
				
				if (i%360 == 0 && i!=0) {
					u+=100;
				}
			}
			
			/*Bouquet du milieux*/
			var v:uint = 50;
			for (var i:uint=0; i<1080; i+=5) {
				val = Math.sin(Math.PI*i/180)*(mouseX-mouseY)/mouseY;
				line.graphics.moveTo((val*-900)+v,0);
				line.graphics.curveTo(175,125,300,600);
				
				if (i%360 == 0 && i!=0) {
					u+=100;
				}
			}
			


			_screen.draw(line);
			line.graphics.clear();

		}
		
	}
}